New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Module upgrade fails because of composer class not found #175

Open
Quetzacoalt91 opened this Issue Oct 5, 2018 · 0 comments

Comments

Projects
None yet
1 participant
@Quetzacoalt91
Member

Quetzacoalt91 commented Oct 5, 2018

Describe the bug
Seen on build.prestashop.com

Upgrade environment (please complete the following information):

  • Version you started from: 1.7.4.2
  • Version you upgrade to: 1.7.4.3
  • Way of upgrade: Web
  • Step concerned: upgradeModules

Displayed log

[2018-10-04 16:52:00] [INTERNAL] .... \modules\dashproducts\vendor\composer\autoload_real.php line 30 - Error: Class 'Composer\Autoload\ComposerStaticInit991e418cf6afca38df754c22bb61fefe' not found
#0 .....\modules\dashproducts\vendor\autoload.php(7): ComposerAutoloaderInit991e418cf6afca38df754c22bb61fefe::getLoader()
#1 C:\.....\app\AppKernel.php(220): include_once('C:\\wwwroot\\Ensh...')
#2 C:\......\app\AppKernel.php(69): AppKernel->enableComposerAutoloaderOnModules(Array)
#3 C:\......\vendor\symfony\symfony\src\Symfony\Component\HttpKernel\Kernel.php(492): AppKernel->registerBundles()
#4 C:\........\vendor\symfony\symfony\src\Symfony\Component\HttpKernel\Kernel.php(132): Symfony\Component\HttpKernel\Kernel->initializeBundles()
#5 C:\.......\modules\autoupgrade\classes\UpgradeTools\ModuleAdapter.php(74): Symfony\Component\HttpKernel\Kernel->boot()
#6 C:\..........\modules\autoupgrade\classes\UpgradeTools\ModuleAdapter.php(190): PrestaShop\Module\AutoUpgrade\UpgradeTools\ModuleAdapter->getModuleDataUpdater()
#7 C:\..........\modules\autoupgrade\classes\TaskRunner\Upgrade\UpgradeModules.php(65): PrestaShop\Module\AutoUpgrade\UpgradeTools\ModuleAdapter->upgradeModule(7429, 'gamification')
#8 C:\.\admin\autoupgrade\...........ajax-upgradetab.php(52): PrestaShop\Module\AutoUpgrade\TaskRunner\Upgrade\UpgradeModules->run()
#9 {main}

Server (please complete the following information):

  • Module Version 4.3.0

@Quetzacoalt91 Quetzacoalt91 added the bug label Oct 5, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment